﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ChartMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // setup chart
            mapChart.BeginUpdate();
            mapChart.View.AxisX.Min = -180;
            mapChart.View.AxisX.Max = 180;
            mapChart.View.AxisY.Min = -90;
            mapChart.View.AxisY.Max = 90;

            // hide axis line
            mapChart.View.AxisX.AxisLine = new Line() { StrokeThickness = 0 };
            mapChart.View.AxisY.AxisLine = new Line() { StrokeThickness = 0 };
            // hide axis labels
            mapChart.View.AxisX.AnnoPosition = C1.WPF.C1Chart.AnnoPosition.None;
            mapChart.View.AxisY.AnnoPosition = C1.WPF.C1Chart.AnnoPosition.None;

            // remove grid lines and tick marks
            mapChart.View.AxisX.MajorGridStrokeThickness = 0;
            mapChart.View.AxisX.MinorGridStrokeThickness = 0;
            mapChart.View.AxisY.MajorGridStrokeThickness = 0;
            mapChart.View.AxisX.MajorTickThickness = 0;
            mapChart.View.AxisX.MinorTickThickness = 0;
            mapChart.View.AxisY.MajorTickThickness = 0;
            mapChart.View.AxisY.MinorTickThickness = 0;

            mapChart.ChartType = C1.WPF.C1Chart.ChartType.Bubble;
            Data.SampleDataSource dataSource = this.DataContext as Data.SampleDataSource;
            if (dataSource != null)
            {
                foreach (C1.WPF.C1Chart.BubbleSeries bs in dataSource.SalesByRegion)
                {
                    bs.PointTooltipTemplate = this.Resources["lbl"] as DataTemplate;
                    mapChart.Data.Children.Add(bs);
                }
            }


            mapChart.EndUpdate();
        }
    }
}
